


function love.load()
   points={}
   currentPoint=1
end

function love.update(dt)
   if love.keyboard.isDown("right") then
      points[currentPoint].x=points[currentPoint].x+100*dt
   elseif love.keyboard.isDown("left") then
      points[currentPoint].x=points[currentPoint].x-100*dt
   end

   if love.keyboard.isDown("up") then
      points[currentPoint].y=points[currentPoint].y-100*dt
   elseif love.keyboard.isDown("down") then
      points[currentPoint].y=points[currentPoint].y+100*dt
   end
end

function love.keypressed(key)
   if key=="backspace" then
      table.remove(points,currentPoint)
   end

   if love.keyboard.isDown("lctrl") and key=="tab" then
      currentPoint=currentPoint-1
      if currentPoint<1 then
	 currentPoint=#points
      end
   elseif key=="tab" then
      currentPoint=currentPoint+1
      if currentPoint>#points then
	 currentPoint=1
      end
   end
end

function love.mousepressed(x,y,button)
   if button=="l" then
      table.insert(points,{x=love.mouse.getX(),y=love.mouse.getY()})
   end
end

function love.draw()
   for i=1,#points do
      love.graphics.setColor(255,0,0)
      if i<#points then
	 love.graphics.line(points[i].x,points[i].y,points[i+1].x,points[i+1].y)
      else
	 love.graphics.line(points[i].x,points[i].y,points[1].x,points[1].y)
	 if currentPoint==1 then
	    love.graphics.setColor(255,255,255)
	    love.graphics.circle("fill",points[1].x,points[1].y,4)
	 end
      end

      if currentPoint==i then
	 love.graphics.setColor(255,255,255)
      else
	 love.graphics.setColor(255,0,0)
      end
      love.graphics.circle("fill",points[i].x,points[i].y,4)
   end
end
